OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_AreaOrView Class Reference

`#include <StepVisual_AreaOrView.hxx>`

Inheritance diagram for StepVisual_AreaOrView:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_AreaOrView ()
| Returns a AreaOrView SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a AreaOrView Kind Entity that is : 1 -> PresentationArea 2 -> PresentationView 0 else .
Standard_EXPORT Handle_StepVisual_PresentationArea | PresentationArea () const
| returns Value as a PresentationArea (Null if another type)
Standard_EXPORT Handle_StepVisual_PresentationView | PresentationView () const
| returns Value as a PresentationView (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_AreaOrView::StepVisual_AreaOrView | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_AreaOrView::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepVisual_AreaOrView::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_AreaOrView::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_AreaOrView::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PresentationArea StepVisual_AreaOrView::PresentationArea | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_PresentationView StepVisual_AreaOrView::PresentationView | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_AreaOrView.hxx